List departments
List departments. See the OpenAPI-defined parameters, request body, and responses below.
GET
/DepartmentList departments. See the OpenAPI-defined parameters, request body, and responses below.
OpenAPI description: Retorna os departamentos do tenant do usuário autenticado.
Authentication
Authentication required. Send your user API key in the X-API-Key header.
Parameters
This operation has no path, query, or header parameters.
Request body
This operation does not accept a request body.
Example request
curl --request GET \
--url 'https://api.zild.ai/Department' \
--header 'X-API-Key: YOUR_USER_API_KEY'
Responses
| Status | Description | Response body |
|---|---|---|
200 | Departamentos do tenant. | application/json · array<DepartmentDto> |
Example response (200):
[
{
"id": 0,
"tenantId": 0,
"name": "string",
"monthlyQuotaAmount": 0,
"tenantUserIds": [
0
]
}
]
Data models
DepartmentDto
| Property | Type | Required | Description | Constraints |
|---|---|---|---|---|
id | integer · int32 | No | — | — |
tenantId | integer · int32 | No | — | — |
name | string | Yes | — | minLength: 1; maxLength: 300 |
monthlyQuotaAmount | number · double | No | — | nullable; min: 0; max: 99999999999999 |
tenantUserIds | array<integer · int32> | No | — | nullable |